<?php

namespace CsvUpload\Auth;

require_once '../lib/config.php';
require_once '../model/user.php';

# Accessors.
function user_id() {
  return $_SESSION['CSVUPLOAD_userid'];
}

function user_email() {
  return $_SESSION['CSVUPLOAD_useremail'];
}

function logged_in() {
  return isset($_SESSION['CSVUPLOAD_useremail']);
}

function login($data) {
    if ($_SESSION['CSVUPLOAD_userid'] = \CsvUpload\DataBase\auth($data)) {
      $_SESSION['CSVUPLOAD_useremail'] = $data['email'];
      return TRUE;
    } else {
      return FALSE;
    }
}

function logout() {
  # Remove spool.
  \CsvUpload\Upload\purge();

  # Unset all session variables.
  $_SESSION = array();

  /* Also delete the session cookie.
     This assumes sessions use cookies. */
  $params = session_get_cookie_params();
  setcookie(session_name(), '', time() - 42000,
    $params['path'], $params['domain'],
    $params['secure'], $params['httponly']
  );

  # Finally, destroy the session.
  return session_destroy();
}

session_start(\CsvUpload\Config\SESSION_NAME);

# vim: set filetype=php expandtab tabstop=2 shiftwidth=2 autoindent smartindent:

?>
