<?php

# A web service to list files uploaded by a user.
# Requires authentication through the auth.php web service.
# Input: (none).
# Output: a list of filenames, empty if there isn't any.
# false if you are not logged in.

require '../controller/upload.php';
require '../lib/service.php';

# Check authentication!
if (! \CsvUpload\Auth\logged_in()) {
  json_exit();
}

json_export(\CsvUpload\Upload\ls());

# vim: set filetype=php expandtab tabstop=2 shiftwidth=2 autoindent smartindent:
?>
