<?php

# Various utilities and facilities used by web services.

function json_header() {
  header("Content-type: application/json");
}

# Macro to return a JSON boolean value.
function json_exit($bool=FALSE) {
   json_header();
   exit($bool ? 'true' : 'false');
}

# Return a PHP variable in JSON format.
function json_export($expr) {
   json_header();
   exit(json_encode($expr));
}

# Errors should not sink in into web services output in case the PHP directive
# display_errors is enabled.
# DEBUG: change Off to On
ini_set('display_errors', 'Off');

# vim: set filetype=php expandtab tabstop=2 shiftwidth=2 autoindent smartindent:
?>
