<?php

namespace CsvUpload\DataBase;

require_once '../lib/config.php';

# PHP namespaces cannot contain variables, but a "singleton" function is much
# better.
function dbh() {
  static $dbh;

  if (! isset($dbh)) {
    # If connection fails or database does not exist, PHP will issue a fatal
    # error and log enough information to easily debug the problem.
    $dbh = new \PDO(\CsvUpload\Config\DB_DSN, \CsvUpload\Config\DB_USERNAME,
      \CsvUpload\Config\DB_PASSWORD);
  }

  return $dbh;
}

# vim: set filetype=php expandtab tabstop=2 shiftwidth=2 autoindent smartindent:

?>
